### * <HEADER>
###
attach(NULL, name = "CheckExEnv")
assign(".CheckExEnv", as.environment(2), pos = length(search())) # base
## This plot.new() patch has no effect yet for persp();
## layout() & filled.contour() are now ok
assign("plot.new",
       function() {
	   .Internal(plot.new())
	   pp <- par(c("mfg","mfcol","oma","mar"))
	   if(all(pp$mfg[1:2] == c(1, pp$mfcol[2]))) {
               outer <- (oma4 <- pp$oma[4]) > 0; mar4 <- pp$mar[4]
               mtext(paste("help(", ..nameEx, ")"), side = 4,
                     line = if(outer)max(1, oma4 - 1) else min(1, mar4 - 1),
                     outer = outer, adj = 1, cex = .8, col = "orchid")
	   }
       },
       env = environment(plot))
assign("cleanEx",
       function(env = .GlobalEnv) {
	   rm(list = ls(envir = env, all.names = TRUE), envir = env)
           RNGkind("Wichmann-Hill", "default")
	   assign(".Random.seed", c(0, rep(7654, 3)), pos = 1)
	   assign("T", delay(stop("T used instead of TRUE")),
		  pos = .CheckExEnv)
	   assign("F", delay(stop("F used instead of FALSE")),
		  pos = .CheckExEnv)
       },
       env = .CheckExEnv)
assign("..nameEx", "__{must remake R-ex/*.R}__", env = .CheckExEnv) # for now
assign("ptime", proc.time(), env = .CheckExEnv)
postscript("gtkDevice-Examples.ps")
assign("par.postscript", par(no.readonly = TRUE), env = .CheckExEnv)
options(contrasts = c(unordered = "contr.treatment", ordered = "contr.poly"))
library('gtkDevice')

cleanEx(); ..nameEx <- "asGtkDevice"

### * asGtkDevice

### Name: asGtkDevice
### Title: Use Gtk drawing area widget as new R graphics device
### Aliases: asGtkDevice
### Keywords: device interface

### ** Examples

##Don't run: 
##D  library(RGtk)
##D  win <- gtkWindow(false)
##D  d <- gtkDrawingArea()
##D  win$Add(d)
##D  asGtkDevice(d)
##D  plot(rnorm(100))




cleanEx(); ..nameEx <- "gtk"

### * gtk

### Name: gtk
### Title: GTK+ Graphics Device
### Aliases: gtk GTK
### Keywords: device

### ** Examples

  gtk()
  plot(1:10)
  gtk()
  par(mfrow=c(2,2))
  x <- rnorm(100)
  plot(x)
  hist(x)
  boxplot(x)  



par(get("par.postscript", env = .CheckExEnv))
### * <FOOTER>
###
cat("Time elapsed: ", proc.time() - get("ptime", env = .CheckExEnv),"\n")
dev.off()
###
### Local variables: ***
### mode: outline-minor ***
### outline-regexp: "\\(> \\)?### [*]+" ***
### End: ***
quit('no')
